API Reference

Update File Context Source Version

This endpoint allows you to update any combination of the file context source version's name, file, or primary flag.

Maximum file size is 50 MB.

Endpoint
PATCH https://api.zatomic.ai/v1/context/sources/{contextSourceId}/versions/{versionId}/file

// Example
PATCH https://api.zatomic.ai/v1/context/sources/cts_2qRzu8geIvfudcJTwP0pur4TbMJ/versions/ctv_2qRzu8qzlNOMhTrini2EKCDh5r6/file

Endpoint Request

Request Properties
file
multipart/form-data
The updated file to be uploaded for the version.
name
string, optional
Name of the version.
is_primary
boolean, optional
Flag that determines if the version is the primary version for the context source.
Request Body
curl -X POST "https://api.zatomic.ai/v1/context/sources/cts_2qRzu8geIvfudcJTwP0pur4TbMJ/versions/ctv_2qRzu8qzlNOMhTrini2EKCDh5r6/file" \
   -F "name=Employee Handbook" \
   -F "file=employee-handbook.pdf" \
   -F "is_primary=true"

Endpoint Response

A successful call returns a response that contains the updated context source version object.

HTTP Status Codes
200 OK The context source version was updated.
400 Bad Request The file was not provided in the request.
400 Bad Request The file size was greater than 100 MB.
400 Bad Request The file type was not allowed.
403 Forbidden Credit limit has been reached.
404 Not Found The context source version didn't exist.
423 Locked The context source version was locked.
500 Internal Server Error Something went wrong on Zatomic's end.